Overview

Neat Image is a digital filter application designed to reduce visible noise in digital photographic images.

Noise is a serious problem that hinders high-quality digital image processing. In digital photography, the consumer- and prosumer-level cameras produce images with an easily noticeable noise component. This component is especially strong in images taken at high ISO rates. The noise reduces the visual quality of digital images and resulting printouts. Some image processing operations, like sharpening, make quality of noisy images even worse.

Neat Image detects, analyzes, and removes image noise. The filtration quality is higher than that of other methods because Neat Image takes into account specific characteristics of particular image acquisition devices, making the filtration more accurate. You can train the program to adapt to almost any input tool (digital camera, scanner, etc.). Access to the rich control set allows you to easily achieve your desired level of noise reduction.

In addition to noise filtration, Neat Image can make images look sharper. This is done without any degradation of image quality (which is usually inevitable with noisy images). The combination of the sharpening and noise filter makes such an effect possible.

See examples of Neat Image performance.

Neat Image is currently produced in four editions: Demo, Home, Pro and Pro+. Demo is a free edition of the software with slightly-limited functionality. Home is the retail edition of Neat Image for home users. Pro is the retail edition of Neat Image for professional users. Pro+ additionally includes a plug-in version of the noise filter.


Features

Noise Filtration

  • Advanced noise filter to reduce the level of noise in digital images
  • 16-bit image support to fully utilize capabilities of modern image acquisition devices
  • Complete control over the filter settings to achieve the desired level of noise reduction
  • Floating point precision used in all filter operations

Smart Sharpening

  • Smart sharpening filter to make images look sharper without amplification of noise

Custom Device Noise Profiles

  • Building custom device noise profiles for specific image acquisition devices
  • Fine-tuning device noise profiles to adapt them to the characteristics of particular images
  • Reusing noise profiles for many images made with the same device and in the same or similar device modes

Queued Processing

  • Background queue processing (filtration jobs are processed as you prepare a new job)
  • Batch mode

Preview

  • Embedded preview of filtration results for a selected area of the input image
  • Review of filtration masks for each channel and frequency range
  • Full-size comparison of input and output images

Some features are available only in certain editions of Neat Image. See Detailed feature map for more details about Neat Image features.


 Requirements

Recommended system configuration to process 2-3-megapixel images is:

  • Windows 9x, ME, NT, 2000, XP
  • Pentium-II class machine or higher
  • 64 MB RAM or higher
  • True color display, resolution 1024x768 or more

Minimal system requirements are:

  • Windows 95
  • Pentium-I class machine
  • 32 MB RAM
  • Hi-color display, resolution 800x600

System requirements for practical applications of Neat Image depend on size of source images. The more system RAM is available the larger the images that can be handled. The processing speed is determined primarily by CPU number-crunching power.

Input images should be in one of the following formats (the same formats are supported to save output images ***):

  • TIFF (uncompressed, single image, no layers, no alpha channel)
    - 24-bit RGB
    - 48-bit RGB
    - 8-bit grayscale
    - 16-bit grayscale

  • JPEG
    - 24-bit RGB
    - 8-bit grayscale

  • BMP (uncompressed, Win3x)
    - 24-bit RGB
    - 32-bit RGB

Minimal size of the input images is 20x20 pixels; maximal size is usually limited by the amount of system RAM available.

*** Saving output images to TIFF and BMP formats as well as copying to the clipboard is only available in the Home and Professional edition of Neat Image.


What it can do — functionality of Neat Image

Neat Image is a digital image filter application. The main function of the program is to reduce noise in digital images.

Neat Image can work with many imaging devices - digital cameras, scanners, etc. The program can be adjusted to a particular device by means of a device noise profile, which contains data describing the noise characteristics of the device. The profile contains a working color space (a space used for noise analysis), parameters of the analyzed area, intensity of different types of noise, etc.

A device noise profile is constructed through analysis of specific image areas. The key idea behind analysis is to let the user select and point at image areas that contain no visible (or important) details. The program cannot distinguish noise (or some other unwanted details, like periodic interference) from important image details. The solution is for the user to select an area that contains no important details. By analyzing such a selection, the program adapts itself to the particular noise type and then efficiently reduces noise in the whole image.

The noise filter of Neat Image processes images in three frequency ranges for better resolution. This allows you to remove noise in only one frequency range if details are present in the other ranges.

Neat Image can use several working color spaces (RGB, YCrCb JPEG or YCrCb Symmetric) to analyze and filter an input image. Choosing the correct working color space can increase the filter efficiency as well. For example, color spaces of the YCrCb family separate the brightness and color (luminance and chrominance) components of images so it is easier to deal only with the brightness component, which often contains the major part of visible noise.

The characteristics of noise often strongly depend on the local brightness of an image area. Neat Image uses its noise profile equalizer to measure these dependencies and to take them into account within the filtration procedure.

In addition to noise filtration, Neat Image has the sharpening filter, which only sharpens important image details without increasing the level of noise. This filter uses the same device noise profile as the noise filter, so applying them together saves time and gives better overall results.


When it works — types of input images

Neat Image is designed to reduce noise in images produced by digital cameras and scanners, and can also be used to process images from other sources. However, the input images need to satisfy the following conditions:

Noise properties

  • Noise must be uniformly distributed throughout an image, i.e., there should be no strong surges of noise intensity in some areas of the image or significant changes of noise characteristics across the image.

    Neat Image works fine, for example, on images with high ISO noise. However, 'hot' or 'dead' pixels (produced by single 'broken' image sensor elements) do not satisfy the uniformity condition and, therefore, are not efficiently removed by Neat Image (hot pixel removal is in our development plans).

    Another frequent source of noise is JPEG compression. The JPEG noise is approximately uniform when high quality compression (low compression rate) is used. However, low quality compression makes noise non-uniform. Therefore, we recommend using the highest quality of compression whenever possible. Try to avoid visible artifacts ('squares' or 'blocks' introduced by JPEG compression) in input images beginning from the early stages of image processing!
  • Noise should be concentrated in high and medium frequencies. This condition is usually met by images produced by modern digital cameras. This condition may not be completely satisfied if you use the strong (e.g., x2-x3 and more) digital zoom features of digital cameras.

Image acquisition device

  • If you are going to use the noise profile equalizer then the primary sensors of an image acquisition device should be RGB (as compared with image sensors with subtractive primary colors). That requirement is not strict. It may be dropped completely in the future versions of Neat Image.


Overview of filtration process

You can filter an image using the filtration job editor. The filtration job editor is opened when a new filtration job is created (by a user or automatically). When you start Neat Image for the first time, the filtration job editor is opened automatically.

Using the filtration job editor you can:

1) Open input image

- viewer will display input image;

- panel on the right will displayrelated image data;

2) Prepare a device noise profile - noise analysis necessary to filter input image

- you can select a saved noise profile or build new one on the spot;

- to build a profile you select a featureless (noise-only) image area and let Neat Image analyzeit with the rough noise analyzer;

- you can then additionally fine-tune the analysis using the fine-tuning analyzer on several other featureless areas;

3) Adjust the noise filter and sharpening settings to achieve desired level of noise reduction and sharpening

- you can select any image area and Neat Image will filter this area as a preview;

- you can vary any of the filter settings and immediately review the preview result;

- as soon as you are happy with the preview results you can proceed to filter the whole image in the next step;

4) Apply filter

- you can apply filter to the whole image;

- you can then evaluate the resulting output image by comparing it with the input image;

- you can save output image to a file on the disk;


Running Neat Image on a sample image

To introduce Neat Image to new users, we have prepared a test-kit to use with the program. You can download the test-kit from the Neat Image web page: test-kit for Neat Image software (250KB). Having downloaded, please unzip it to a new folder/directory.

The test-kit contains a sample image: the file SampleImage.jpg. This image is a typical photo taken with digital camera (Nikon CoolPix 950 in this case). Detailed information about the test image is available in the file SampleImageInfo.txt.

Please start Neat Image and follow the steps below to see how it can improve the image:

  1. Open the sample image
    - Click [image] on the toolbar of the Input image tab:
    - In the Open input image file dialog, navigate to the folder/directory where the sample image has been unzipped and double click on the file SampleImage.jpg;

    Neat Image will open the sample image.

    You will notice that there is strong noise in the image, especially in the sky area (use zoom and scroll to see it). This is the typical noise produced by a digital camera. The task of Neat Image is to eliminate this noise. To do that the program generally needs some information about the noise. We have prepared this information in advance and saved it into a sample device noise profile. This profile is also supplied with the test-kit in the file SampleProfile.dnp. Using the noise profile, Neat Image can efficiently eliminate noise in the image.

  2. Open the sample device noise profile
    - Switch to the Device noise profile tab:
    - Click [image] (blue disk) in the Device noise profile box on the right panel;
    - In the Open device noise profile dialog, navigate to the folder/directory where the sample device noise profile has been unzipped and double click on the file SampleProfile.dnp;

    Now the sample device noise profile is opened and Neat Image is almost ready to filter the sample image. Usually, you would adjust the filter settings at this stage. To make things easier for the first run of Neat Image, we have prepared a sample preset file that stores 'good' filter settings suitable for the sample image.

  3. Open the sample filter preset
    - Switch to the Noise filter settings tab:
    - Click [image] (pink disk) in the Filter preset box on the right panel;
    - In the Open filter preset dialog, navigate to the folder/directory where the sample filter preset has been unzipped and double click on the file SamplePreset.nfp;

    Now the sample filter preset is opened and the filter is adjusted to process the sample image.

  4. Apply the filter
    - Switch to the Output image tab:
    - Click [image] on the toolbar and wait until the progress indicator disappears.

    Processing may take some time (this depends on speed of your computer's CPU). Then the filtered output image will be displayed. You can click the image to compare it with the input image. Notice that the noise - especially in sky area - has been significantly reduced while the image details have been preserved.

Please note that the sample device noise profile and sample filter preset supplied with the test-kit are suitable only for images taken with that particular digital camera working in the specific mode. Neat Image can perform similar noise reduction on images captured or acquired by any image acquisition devices working in any mode. To be able to do that Neat Image needs specific device noise profiles that describe the noise characteristics of those devices. The good news is that you can build these profiles yourself. With Neat Image, you can easily do this because the program can automatically build the profiles by analyzing noise samples selected by you.

Filtration process in details section contains a detailed description of the filtration process including building custom device noise profiles. You can also find several examples of profiling and filtration in the Examples section of Neat Image web page.


Filtration process details

Neat Image can be used to filter a single or multiple images at the same time. In this section, we present a detailed description of the filtration process involving a single image. See Queued processing section for details of multiple image filtration.

The filtration process is described as a set of steps that have to be taken to process an image. Please follow the description step-by-step or read a specific part to find out particular details.

Step I. Open an input image

Step II. Prepare a rough device noise profile

Step III. Fine-tune the rough device noise profile (optional)

Step IV. Save the fine-tuned device noise profile (optional)

Step V. Adjust noise filter settings

Step VI. Adjust sharpening settings (optional)

Step VII. Save the filter settings into a preset (optional)

Step VIII. Filter the input image

Step IX. Save the output image


 Step I. Open a source image

Use the Input image tab in the filtration job editor:

To open an input image

Click [image] (the Open input image… button) on the toolbar, [image] in the Input image box, or select the File|Open input image… menu item.

Supported file formats are BMP, TIFF and JPEG (see Requirements for details).

In addition, you can use the Windows clipboard to bring an input image into the program from another application. Use Edit|Paste menu item for that purpose. The clipboard image should be in 24/32-bit RGB format.

Also, you can drag an image file from the Windows Explorer and drop it to the input image viewer.

When an input image is ready, the Input image box (on the right panel) displays some related information such as image bit depth, channels, and EXIF data fields (when available). Only those EXIF data fields are presented that are important for the noise filtration. You may need to refer to these data later on.

You can scroll and pan the image in the image viewer using the scrollbars or the mouse:
- drag the image with the middle mouse button pressed;
- press the spacebar and drag the image with the left mouse button.

You can also change the image zoom level with the mouse wheel, with the control on the toolbar, or using Ctrl-'+', Ctrl-'-' keyboard shortcuts.


Step II. Prepare a rough device noise profile

Use the Device noise profile tab in the filtration job editor:

To perform filtration, Neat Image needs to know the characteristics of typical noise produced by the image acquisition device (digital camera, scanner, etc.). The set of noise characteristics used by Neat Image constitutes a device noise profile. There are two ways to obtain a device noise profile for particular device working in certain mode -- build a new profile by measuring the noise characteristics or use a previously saved one.

If an image has uniform areas that contain noise but no visible/important details, Neat Image can analyze the noise characteristics of one of these areas. Neat Image itself cannot find the uniform areas (or areas that contain no important details), so you have to specify the area that it will analyze in building a noise profile.

To build a rough device noise profile

  1. Select working color space
    Use the Working color space list in the Device noise profile box.

    The working color space is an internal parameter of the filtration algorithm. An image is only temporarily converted to the working color space for processing (the input and output images are always in the RGB color space).

    We recommend you use the YCrCb JPEG or YCrCb Symmetric color space to analyze and process images. The RGB color space is not the best for discerning image details that are masked by noise. Using this color space most likely will not produce the best results.

    Normally, you should use the YCrCb JPEG (default) working color space for color photographic images or the YCrCb Symmetric color space for grayscale (halftone) images. The RGB color space may also be useful for specific applications. For example, if your intention is to filter only one specific color channel (R, G or B) of the image then you need to use this space.

    To use a specific working color space you need a noise profile built in that space. Neat Image will re-build a noise profile if you change the working color space.

  2. Find and select a uniform image area

    Use the mouse to select a uniform area (press the left button, drag the mouse and release the button).

    The program measures the noise characteristics of an image acquisition device by analyzing uniform areas of an image. A uniform area (with minor variation in all channels) may be overcast sky, clear sky (without clouds and birds), or any other part of an image, where there are no visually perceptible details (except those caused by noise).

    See examples of uniform image areas.

    You have to find a uniform area and specify it with the selection frame. It is preferable (but not necessary) to choose gray (neutral) areas. The selection should be at least 60x60 pixels large. That is the minimum size, but the recommended size is 100x100 pixels or more. You will see that the selection frame will change its thickness according to the selection size. When you will select an area, the selection status in the Rough noise analyzer box will dynamically indicate whether the chosen area is large enough to build a noise profile.

    You can use [image] (the Show negative of test image button) on the toolbar to temporarily turn the image into its negative. This can make finding the noise and noise-only areas easier in some cases.

    Warning

    The selection status displays "signal clipping!" when some of the channels (R,G,B) are close to the limit of dynamic range. A device noise profile built using the selected area could be inaccurate. Please try to avoid this for best results.

    If you cannot find a uniform area in the input image, you can use an alternative test (reference) image. To open a test image click [image] (the Open test image… button) on the toolbar (or select the File|Open test image… menu item). The test image will only replace the input image in the Device noise profile tab for the purpose of building a noise profile.

    You can also paste a test image from the Windows clipboard or drag-and-drop it from the Windows Explorer to the image viewer.

  3. Analyze selected image area with rough noise analyzer

    Click [image] (the Rough analyzer button) in the Rough noise analyzer box or select the Profile|Build using selected area menu item. You only need to make this analysis once to build a rough noise profile.

  4. Describe device name and device mode

    Use the Device name and Device mode fields on the Device noise profile panel.

    Here, you can specify the model of image acquisition device used. For example, "Nikon CoolPix 950".

    Also, you can describe the device mode. Specify parameters used to take the image(s). For example, this can be something like the following:

    • ISO: 225
    • Compression: 2 bits/pixel
    • Exposure time: 1/2s
    • Exposure bias: 0.0 eV
    • White balance: Default

    Neat Image can automatically enter some data into the Device name and Device mode fields in the Device noise profile box. The program can extract these data when EXIF data fields are available in the analyzed image. Use the EXIF->Profile button on the toolbar or the Profile|Copy EXIF data menu item to do that.

    Comment

    It is recommended to specify these details to keep a record of devices, device modes, and corresponding device noise profiles that you use. This is important because the noise characteristics of any two devices can be extremely different. Even a single device in different modes can produce significantly different noise. Therefore, it is always better to use separate noise profiles for different devices and device modes to avoid inaccurate filtration and artifacts. Saving the device name and device settings parameters helps you to keep track of them.

    In the future, that approach may be changed to something more automatic, e.g., automatic profile matching via comparison of EXIF headers of input image and profile descriptors.

    Comment about cross-use of noise profiles
    Because a noise profile is specific to the image acquisition device and its mode, the same profile can be used to process many images obtained from the same device under the same (or similar) conditions. However, it is always better to build a new device noise profile for each image, because it better matches noise characteristics of the image.

    It is most likely that any two images would be shot in different or slightly different conditions (device mode, shooting conditions), therefore, the noise characteristics would be different. In the table below, device mode data (for digital cameras) are described that affect the noise characteristics the most:

    ISO rate | 50, 100, 200, 400, etc.; depends on a camera | Higher ISO rate produces more image sensor noise.
    Sharpness adjustment | Low, Normal, High, etc.; depends on a camera | Internal sharpness adjustment of a camera makes noise more intensive. It is preferable to use no internal adjustment for the best results.
    Compression 1:1 (or Uncompressed), 1:5 (or Fine), 1:10 (or Normal), 1:20 (or Basic), etc.
    or
    2 bits/pixel, 4 bits/pixel, etc. depends on a camera     		Strong JPEG compression typically produces more JPEG artifacts (and destroys image elements including noise); weaker compression preserves more image elements including noise of image sensor. It is preferable to use the lowest amount of compression possible for the best results.
    Resolution | 1:1 (original resolution, like 1600x1200), 1:2 (downsized in camera, e.g., 800x600), 2:1 (digital zoom, 2x), etc. | Camera's internal interpolation (both downsizing and upsizing, e.g., that of digital zoom) changes many characteristics of noise.
    White balance | Sun, Cloudy, Incandescent, Fluorescent, etc.; depends on a camera | White balancing changes characteristics of noise (mainly of color noise).

    If two images were shot in the same conditions (all the above device mode data are the same) then the noise of these two images should be very similar. If you have built a device noise profile using one of these images, you can safely use this noise profile to filter both images.

    If however, the shooting conditions were different then the noise components of two images could be significantly different. In this case, we do not recommend cross-use of device noise profile profiles.

To open a previously saved noise profile

Click [image] (the Open device noise profile… button, blue disk) in the Device noise profile box or select the Profile|Open… menu item. In the Open device noise profile dialog box, you can specify the name of the device noise to be opened.

Alternatively, you can select a previously saved device noise profile using the popup menu: right-click on the name of the profile shown in the top part of the Device noise profile box, and select a profile from the popup menu. If there is no popup menu, please check the Folder options.

See Job defaults for more details about the following noise profile-related options of Neat Image: default color space and default device noise profile.


Step III. Fine-tune the rough device noise profile (optional)

Note: You can skip this subsection when reading for the first time.

Use the Device noise profile tab in the filtration job editor:

For more accurate noise filtration, it can be helpful to measure the dependence between the level of noise and the local brightness. This dependence should be taken into account if noise appreciably depends on the brightness of image areas (for example, if noise is strong in dark areas and weak in light areas).

Neat Image helps you to measure this dependence with the noise profile equalizer and, in effect, improves the accuracy of a device noise profile. Noise profile equalizer has nine sliders that represent the range of image brightness from darkest to lightest for each sensor (R, G, B) of the image acquisition device.

The sliders of the equalizer correspond to the estimated noise levels in different brightness ranges relative to the rough noise profile built earlier. Positive values of sliders reflect higher estimated noise levels and make Neat Image consider more image elements to be noise; negative values reflect lower estimated noise levels and make Neat Image consider fewer image elements to be noise.

You can fine-tune a device noise profile manually or automatically. The manual method is described first to provide understanding of the process and result. Then the automatic method is described.

To manually fine-tune the rough device noise profile

  1. Enable noise profile equalizer

    Enable the equalizer by checking the [image] checkbox in the Noise profile equalizer box.

  2. Find and select a uniform image area

    Use the mouse to select a uniform area.

    See examples of uniform image areas.

    The size of an image area can be from 30x30 to 300x300 pixels. The selection frame will change its thickness according to the selection size. When you select an image area, the selection status on the bottom of the Noise profile equalizer box will dynamically indicate which frequency components (see what is frequency) are contained in the selected area and would be analyzed: high, high+mid, high+mid+low, high+mid+low+very low freqs, or impossible to conduct analysis) is shown in the selection status (picture on the right) at the bottom of the Noise profile equalizer box.

    Size of an area (pixels) Which frequency components are analyzed Rating
    200x200 - 300x300
            High, medium, low and very low
    Best
    100x100 - 200x200
             High, medium and low
    Good
    60x60 - 100x100
             High and medium
    Ok
    30x30 - 60x60
             High
    Poor

    The selected area is going to be analyzed according to its frequency composition (high, medium, low and very low frequencies). When a frequency component is not analyzed, all the data related to this component are estimated (extrapolated). That is always not accurate; therefore, it is best to choose large areas so that all the frequency components can be accurately analyzed.

    Warning

    The selection status displays "signal clipping!" when some of the channels (R,G,B) are close to their dynamic range limit. Fine-tuning a device noise profile using the selected area could be inaccurate. Please try to avoid this for best results.

    When you select an image area, its position in the brightness range is shown with red font color on the corresponding slider(s) of the noise profile equalizer. Also, it is displayed by the color indicators at the bottom of the equalizer.

  3. Analyze selected image area with fine-tuning analyzer

    Click [image] (the Fine-tuning analyzer button) or select the Profile|Fine-tune using selected area menu item.

    The analysis results are shown in noise profile equalizer. For areas with uniform noise, and the corresponding slider(s) receives the 'measured' status - a green shading on the slider's value, like [image]. If an area with signal clipping has been used to analyze noise characteristics then the corresponding slider(s) receives the 'inaccurate' status - a red shading, like [image]. When an area with unexpectedly strong level of noise is encountered, an orange shading is applied, like [image].

    Warning

    An orange shading is applied when the analyzed noise in the corresponding brightness range is unexpectedly strong. There are several potential reasons for that:

    1. Most likely, fine-tuning is being done using a bad image area (e.g., containing visible details);
    2. Wrong device noise profile is used (the profile's device and device mode do not match current image or the (rough ) profile has been built in a wrong way);
    3. Noise in this image is unusual and contains strong variations.

    An orange shading is a warning sign. It does not necessarily signify wrong measurement. Please make you own judgment in this situation and if necessary re-build the device noise profile or select a more uniform area for fine-tuning.

    A red shading is a sure sign of wrong measurement. You need to reset the corresponding slider or undo the last analysis (see below).

  4. If necessary, reset status of a slider (optional)

    Click on the color shading (see more on shading colors below) of a slider to reset its status and value.

    If a slider has red (or any other color) shading, you can safely reset it and analyze another part of the input image to get its value. There is no need to reset the entire equalizer because of one wrong value.

    Also, you can undo the last analysis, see below.

  5. If necessary, undo the last analysis (optional)

    Click [image] (the Undo button) or select the Profile|Undo last fine-tuning analysis menu item.

    Undoing the last fine-tuning analysis may be useful when a bad choice of image area has resulted in bad analysis results.

  6. If necessary, reset the whole equalizer (optional)

    Click [image] (the Reset equalizer button) or select the Profile|Reset equalizer settings menu item.

  7. Repeat steps 2-6 with other uniform image areas

    To make a device noise profile more accurate you have to fine-tune it with several uniform areas of an input image (naturally, there is no sense in analyzing the same area many times). Try to choose uniform areas to cover all the range of intensities for all RGB channels of the equalizer (i.e., to get shadings on all sliders' values). Use color shadings as well as red markings (which are used to reflect the intensity range of the current selection; like -40%) to guide the process of fine-tuning. You can also use the color indicators on the bottom of the Noise profile equalizer box as guidance when doing that. If the majority of sliders' values have green shadings, you can stop the process.

  8. Set remaining sliders at your option (optional)

    If not set by analysis, sliders of noise profile equalizer have default values. You can leave them with default values or can manually adjust the sliders. Manually adjusted sliders receive the 'manual' status (a yellow shading, like [image]).

    Also, you can use the Auto complete function to automatically adjust the unmeasured sliders by interpolating the measured data. Click [image] (the Auto fine-tuning analyzer button) or select the Profile|Auto complete menu item to automatically complete the fine-tuning.

    Refer to the figure below that summarizes the status marking of sliders:

    When using the noise profile equalizer, use the color indicator to simplify the fine-tuning process. Colored lines of the indicator show:
    - which sliders of the noise profile equalizer correspond to the colors of the selected image area/pixel (use the Shift key for pixel-wise indication);
    - which slider values are different from default values;
    - which sliders have (possibly) incorrect values.

    Refer to the figure for descriptions of each indicator element's state:

    Comment
    It is easy to check if a device noise profile has been fine-tuned properly - the Equalizer's sliders should be mostly shaded in green and, occasionally, yellow. Color indicators should be filled with solid colored lines at all positions.

To automatically fine-tune the rough device noise profile

  1. Enable noise profile equalizer

    Enable the equalizer by checking the [image] checkbox in the Noise profile equalizer box.

  2. Analyze whole image with auto fine-tuning analyzer

    Click [image] (the Auto fine-tuning analyzer button) or select the Profile|Auto fine-tune menu item.
    The whole image will be automatically analyzed by Neat Image and some of the sliders of the noise profile equalizer will receive the 'measured' status. The values of other sliders will be then automatically interpolated by the Auto complete function and will receive the 'manual' status.
    You may want to inspect the equalizer values after applying auto fine-tuning. In most cases, there is no need to do manual slider adjustments afterwards. If you feel this is necessary, please follow the guidelines given in the above manual fine-tuning subsection.
    Use the mouse to select a uniform area.

See Profiling options for more details about the combination of last fine-tuning analyses option of Neat Image.


Step IV. Save the fine-tuned device noise profile (optional)

Use the Device noise profile tab in the filtration job editor:

To save a device noise profile for future use

Use [image] (the Save device noise profile as… button, blue disk) in the Device noise profile box or select the Profile|Save as… menu item.

In the Save device noise profile as dialog box you can specify the name of the file to save the device noise profile. The device noise profiles are stored in *.dnp files.

Saved noise profile includes complete information about rough and fine-tuning analyses. Therefore, by saving the noise profile, you can reproduce exactly the same conditions for image processing later on. Also, you can exchange noise profiles with other users.

In addition, the noise profile can contain an image sample that has been used to build rough noise profile. You can control whether it is included into profile using the application option: Save analyzed image area in profile.


Step V. Adjust noise filter settings

Use the Noise filter settings tab in the filtration job editor:

The noise filter has many settings that you can adjust. Because the values of these settings are relative to the device noise profile's characteristics, their defaults are close to those provided by the profile data and should produce satisfactory results. However, you can vary the settings to find values that produce the best results from your point of view. The easiest way to do this is to use the preview.

To enable preview

  • Select any image area

    When an area is selected, Neat Image will (if auto re-calculate preview is turned on in the Options) automatically apply filtration to the selected image area. You can also manually invoke preview recalculation with [image] (the Preview button), the Filter|Preview menu item, or the F5 hotkey.

    As soon as the preview is calculated, you can then left click on the selected area to temporarily switch back to the original for comparison.

    Use the preview when adjusting the noise filter settings. See typical filtration results.

The noise filter has separate settings for frequency and color channel components. There are the noise level controls and the noise reduction amount controls for each of the image components.

The noise level controls determine which image elements are considered noise. Noise reduction amount controls determine how much reduction is applied to the image elements identified as noise.

The noise levels are relative to the noise profile. The noise level defaults are 0% (some of the noise level defaults may be different), which means the noise levels are completely determined by the noise profile. When the level controls are set differently, the noise level estimations are raised or lowered accordingly. A noise level can be in the range from -100% (which means no image element are considered noise, and no noise reduction will be applied to the corresponding component) to +150% (which means noise reduction will be applied to the image elements that are weaker than 2.5 times the noise level determined by the noise profile).

Noise reduction amounts can be in the range from 0% (none of the detected noise is removed) to 100% (all the detected noise is removed).

By default, the noise filter removes 100% of detected noise (some of the noise reduction amount defaults may be different from 100%). Decreasing the amounts can have a positive effect if an input image contains some natural noise. For example, when you are filtering images of asphalt, sand, or anything else that contains fine natural noise-like features, it may be helpful to reduce amounts down to 40-70%. Our experience shows that these values generally provide a good balance between preserving image details and noise removal.

To adjust noise filter settings

  • Adjust noise levels (optional)

    Use the High, Mid, and Low; Y, Cr, Cb (R, G, B) noise level sliders (the Noise filter settings box).

    The noise filter has access to three frequency components and three color channel components of the input image. You can modify the estimated noise levels for each of these components.

    The higher a specific noise level, the more image elements in the corresponding image component are considered noise. Be careful, setting the noise levels too low can lead to incomplete filtration: residual noise and compression artifacts can stay in the output image. Setting the noise level too high can lead to removal of important image details.

    As a rule, if the device noise profile analysis is correct, it is not necessary to increase the noise levels by more than 50%. If an input image contains strong surges of noise in the high frequency range, it is recommended to increase the high frequency noise level up to +20 to 40%.

    If an input image contains strong low frequency noise then you may need (in addition to low frequency component filtration settings) to switch on the very low frequency filter (check the Very low freq checkbox in the Noise filter settings box).

    If an input image contains strong color noise, it is recommended to increase the Cr and Cb noise levels to +30%. In some cases however, it may be useful to increase these noise levels up to +100%.

    Comment
    As human vision is not very sensitive to variations of colors, strong filtration in the Cr and Cb channels does not noticeably distort an image, but efficiently removes color noise.

  • Adjust noise reduction amounts (optional)

    Use the High, Mid, and Low; Y, Cr, Cb (R, G, B) noise reduction amount sliders (the Noise filter settings box).

    You can vary the noise reduction amounts for all frequency and channel components of the input image. The higher a specific noise reduction amount, the more of the detected noise is removed in the corresponding image component. Be careful, setting the noise reduction amounts too high can lead to loss of fine details and unnaturally looking (over-smooth, plastic-like) results. Too low amounts may be not enough to sufficiently remove the undesired noise. You need to balance these amounts (most importantly, the amount of noise reduction in Y channel) to get the result that looks best to your eyes.

    If an input image has only fine (high frequency) noise elements you can utilize only the high frequency filter and switch off filters for other frequencies by setting their amounts to 0%.

    Turn on the Smooth edges checkbox to make edges and lines in the image look smoother.

    Smooth edges
    Off
    On

  • Use preview (optional)

    Use the preview when adjusting the noise filter settings.

    After you have made changes to the noise filter parameters, do not forget to re-calculate the preview. It is recommended that you use the preview on several different parts of the image to get a better feeling for the results of filtration. We recommend using auto recalculation of preview (see Filtration options).

    If the noise filtration looks too strong/weak try to decrease/increase the noise levels and/or noise reduction amounts for the appropriate channels and/or frequency ranges. If this does not help probably the device noise profile is not accurate enough. Return to Step III and additionally analyze the selected image area (it should be feature-less) with the fine noise analyzer (fine-tune the device noise profile).

  • Use image components panel (optional)

    The Image components panel is intended for detailed examination of both frequency and channel image components. Examining the components and the filtration masks may help you to better adjust filter settings.

    You can turn the Image components panel on by clicking on [image] (the Image components panel on/off button) on the toolbar or by selecting the View|Image components menu item. The panel will pop up and will show the image components when a selection in the main filtration job editor window is present.

    Examine individual image components as well as filter masks for each channel and frequency component (use selectors on the Image components panel). To switch on the masks use [image] (the Show filtration masks button). To switch between original and filtered image or image component simply click on one of the images in the Image components panel.

    Examine individual image components as well as filter masks for each channel and frequency component (use selectors on the Image components panel).

    Red masks indicate the areas where the standard (aggressive) noise filtration is applied (see the upper left part of the picture on the right). Adjust noise filter settings (noise levels) to have red masks covering all feature-less areas. Do not let any noise remain uncovered by these masks.

    Green masks indicate the areas where important image details have been detected and a special type of noise filtration is applied. This type of filtration is more delicate than the standard one; it is used to preserve the visible details.

    Blue masks indicate the areas where sharpening is applied (see Adjust sharpening settings).


Step VI. Adjust sharpening settings (optional)

Note: You can skip this subsection when reading for the first time.

Use the Noise filter settings tab in the filtration job editor:

You can use the sharpening filter to increase sharpness of an image without increasing the noise strength.

The values of the sharpening settings are relative to the device noise profile and the noise filter settings. The default values of the sharpening settings should produce satisfactory results (when sharpening is enabled for any of the channel components). However, you can vary the settings to find values that produce the desired level of sharpness. Zero sharpening amounts will not sharpen the image at all. The higher amounts will apply sharpening of the specified strength. Use sharpening controls for different frequency components to sharpen fine, medium or large image details. Like with any sharpening method, you need to balance the amounts to avoid oversharpening.

Use the preview when adjusting the sharpening settings.

To adjust sharpening settings

  • Select color channels where sharpening should be applied

    Use checkboxes in the Sharpening settings box..

    If you filter an image in the RGB color space, then all color channels should typically be processed. If you work with the YCrCb color space, then, usually, you don't need to sharpen the Cr and Cb channels.

  • Set sharpening amounts

    Use the High, Mid and Low amount sliders in the Sharpening settings box.

    You can specify how much sharpening should be applied to each frequency component of an input image.

    The standard sharpening settings used by many graphic editors are 100% for high frequency and 0% for medium and low frequencies (used by default).

  • Use preview (optional)

    Use the preview when adjusting the sharpening settings.

    After you have made changes to the sharpening settings, do not forget to recalculate the preview. It is recommended that you use preview on several different parts of the image to get a better feeling for the results of sharpening.


Step VII. Save the filter settings into a preset (optional)

Use the Noise filter settings tab in the filtration job editor:

To save filter settings for future use

Use [image] (the Save filter settings as preset… button, pink disk) in the Filter preset box or select the Profile|Save filter settings as preset… menu item.

In the Save filter preset as dialog box you can specify the name of the file to save the preset. The filter presets are stored in *.nfp files.

Saved filter preset includes complete information of the noise filter and sharpening settings. Therefore, by saving a preset, you can reproduce exactly the same filter settings later on. Also, you can exchange filter presets with other users. Together, a saved device noise profile and a filter preset can be used to accurately reproduce the filtration results.

To open a previously saved noise profile

Click [image] (the Open filter preset… button, pink disk) in the Filter preset box or select the Filter|Load filter settings from preset… menu item. In the Open filter preset dialog box, you can specify the name of the filter preset to be opened.

Alternatively, you can select a previously saved preset using the popup menu: right-click on the name of the preset shown in the Filter preset box, and select a preset from the popup menu. If there is no popup menu, please check the Folder options.

There are several pre-written filter presets in the PRESETS sub-folder of installed Neat Image application. Please explore these presets to see what combinations and values of the noise and sharpening filter's settings can be used to solve typical tasks (names of the presets explain these tasks).


Step VIII. Filter the input image

Use the Output image tab in the filtration job editor:

To apply the filtration to the whole image

  1. Select output image type

    Select the output image type from the list in the Filter output box (24-bit RGB/48-bit RGB; 8-bit/16-bit Grayscale). The output image type may be different from the input image type. In this case, the input image will be internally converted to the output image type before processing.

  2. Click [image] (the Apply button) on the toolbar or select the Filter|Apply menu item.

    Processing may take a few minutes (depending on the speed of your computer's CPU and size of the image). During this time, you can minimize the filtration job editor window.

    Comment
    Neat Image generally is a CPU-intensive application, and in the current implementation, the processor's speed is the most critical. On Celeron 400MHz, filtration of a 2-megapixel image takes about 4 minutes (Neat Image v2.1). On a computer of typical configuration, the processing time is linear with respect to image size (in megapixels).

    When the filtration is completed, you can compare the output and input images. Click [image] (the Compare button) on the toolbar or just click the output image.

See Filtration options for more details about the filtration-related options of Neat Image: audible indication, filter process priority, etc.


Step IX. Save the output image

Use the Output image tab in the filtration job editor:

To save the output image

Click [image] (the Save output image as... button) on the toolbar or select the Image|Save output image as… menu item.

The available output file formats are: BMP, TIFF, and JPEG (see Requirements for more details). When you save the output image in JPEG format, you can select the compression quality. The last used compression quality value is always used as default unless you change it when saving the output image in JPEG format.

In addition, you can use the Windows clipboard to export the filtration results to another application. Use the Image|Copy menu item for that purpose. An image put on the clipboard will be in 24bit RGB format.

If the filtration results are not satisfactory, please return to Step V to change some of the filtration settings, or to Step II or Step III to build a new (or improve existing) noise profile to better match noise of the input image.


Installing the plug-in into an image editor

To install Neat Image plug-in to:

  • Adobe Photoshop / Photoshop Elements / ImageReady

Copy the NeatImage.8bf file from the Neat Image installation folder (typically, C:\Program Files\Neat Image 2.5 Pro Plus\) into the Plugins or Plug-ins subfolder inside the Photoshop / Photoshop Elements / ImageReady folder. Start the application, and you will find the Neat Image plug-in in the Filter menu under ABSoft submenu.

  • Jasc Paint Shop Pro

Open the File menu, select Preferences | File locations (PSP7+) or Preferences | Plug-in Filters (PSP4-6) and select the Neat Image installation folder. Press OK and the Neat Image plug-in will appear in the Plug-in Filters sub menu of the Effects menu.


Using the plug-in to process images

Neat Image plug-in can be invoked from an image editor to process the selected part of one layer or one channel of the current image. This subsection explains key steps of applying Neat Image plug-in. Since these steps are very similar to the filtration process of the Neat Image standalone version, the sequence of steps is described on the basis of the Filtration process details section.

Step I. Invoke the plug-in from the image editor

Select a layer or a channel that should be processed. In this layer/channel, select an area to be filtered (all layer/channel will be filtered if no area is selected).

Invoke the Neat Image plug-in using the standard way of invoking filter plug-ins from your image editor:

  • Adobe Photoshop / Photoshop Elements / ImageReady

Select the menu item Filter | ABSoft | Neat Image…

  • Jasc Paint Shop Pro

Select the menu item Effects | Plug-in Filters | ABSoft | Neat Image…

Step II. Prepare a rough device noise profile

Preparing a rough device noise profile is done in the same way as with the standalone version of Neat Image. Please see Step II. Prepare a rough device noise profile

Step III. Fine-tune the rough device noise profile (optional)

Fine-tuning the rough device noise profile is done in the same way as with the standalone version of Neat Image. Please see Step III. Fine-tune the rough device noise profile (optional)

Step IV. Save the fine-tuned device noise profile (optional)

This is done in the same way as with the standalone version of Neat Image. Please see Step IV. Save the fine-tuned device noise profile (optional)

Additionally, Neat Image plug-in will automatically remember the device noise profile prepared at this point. This will allow re-applying the plug-in with the same device noise profile without repeating the steps II-IV.

Step V. Adjust noise filter settings

This is done in the same way as with the standalone version of Neat Image. Please see Step V. Adjust noise filter settings

Step VI. Adjust sharpening settings (optional)

This is done in the same way as with the standalone version of Neat Image. Please see Step VI. Adjust sharpening settings (optional)

Step VII. Save the filter settings into a preset (optional)

This is done in the same way as with the standalone version of Neat Image. Please see Step VII. Save the filter settings into a preset (optional)

Additionally, Neat Image plug-in will automatically remember the filter settings selected at this point. This will allow re-applying the filter with the same filter settings without repeating the steps V-VII.

Step VIII. Apply filter

Use the Noise filter settings tab in the plug-in:

To apply filter to the image

Click [image] (the Apply button) on the toolbar or select the Filter|Apply menu item.
The plug-in window will be closed and filtration starts. Processing may take a few minutes (depending on the speed of your computer's CPU and size of (the selected part of) the image). During this time, the image editor will display filtration progress.


Queued processing

Neat Image can be used to automatically filter multiple images. Using the program, you can create several image filtration jobs, put them into the filtration queue and let the queue process the jobs one after another.

You can also create new jobs while existing jobs are being processed in the background. It is possible to create many jobs at once (batch) to filter many images with the same filtration parameters. You can also change filtration parameters of any job at any time.

In this section, we explain in detail how you can use all these capabilities of the software.

When you read this section, please make sure that the Auto create new job at startup setting in Neat Image Options (use View|Options… menu item) is unchecked. If it is checked, the filtration job editor appears at startup instead of the filtration queue window. This option is checked by default to make initial work with the program easier.

  • Filtration queue window
  • Creating new image filtration jobs
  • Editing image filtration jobs
  • Removing image filtration jobs
  • Queuing and holding image filtration jobs
  • Starting and stopping the filtration queue
  • Saving output images


Filtration queue window

When you start Neat Image, the filtration queue window is opened (you need to have the Auto create new job at startup setting in Neat Image Options unchecked for that). This window contains the filtration queue itself (in the central box), a set of tools to create, edit, delete, start and stop jobs (on the toolbar), and the panel on the right with detailed information about the queue as a whole and about any single selected image filtration job.


Creating new image filtration jobs

Neat Image processes images by taking them one-by-one and applying filtration with specific settings to each image. A single filtration job includes one image and one customized set of filtration settings. You can create and configure one or more filtration jobs and let Neat Image process all of them.

To create one new image filtration job

Click [image] (the Create new image filtration job button) on the toolbar or select the Job|New… menu item.

A new filtration job will be created. The filtration job editor will automatically be opened and you will be able to select an input image, device noise profile and filter settings in the same way as you did earlier when followed the steps of the Filtration process in details section.

When the job is ready to be processed, do not filter the image in the filtration job editor if you want to process it in the queue.

When the input image, noise profile and filter settings are ready you can put this new job into the filtration queue for processing using the controls in the Queued processing box.
Clicking [image] will send the job to the bottom of the queue and let Neat Image process it when its turn comes in the queue.

You can also select to Auto save output image and specify Output image file name for auto save using the […] button. When auto save is selected, Neat Image will automatically save the output image into the specified file as soon as this job is completed in the filtration queue.

When Auto save is chosen, you can additionally select to auto delete completed job from the queue when the job is completed and its output image is successfully saved.

Neat Image may ask about the place where it should auto save the output images. It may also ask about particular image saving properties, e.g., the JPEG quality. The last used quality is offered as the default value.

If you do not want to let the job to be processed in the queue then just press the Esc button or select File|Put this job to queue menu item. The job will be put on hold in the queue until you manually allow processing it.

To create multiple image filtration jobs at once

  • Click [image] (the Create many filtration jobs at once button) on the toolbar or select the File|Batch… menu item.
    The Batch window will appear allowing you to select several image files to be processed. Also, you will be able to select one device noise profile and one filter preset that will be used to filter all the selected images.

  • Use [image] to add new image files to the list.

  • Use [image] (blue disk) or the popup menu to select a device noise profile to filter all the images in the list.

  • Use [image] (pink disk) or the popup menu to select a filter preset to filter all the listed images.

  • Specify output image type (8/24bits or 16/48 bits) in the drop-down list.

  • Check desired 'auto'-actions that will be done to all the jobs added to the queue: auto start filtration, auto save output images, auto delete completed jobs.

  • Select output file format: TIFF, JPEG or BMP.

  • Click [image] to add new image filtration jobs to the queue.

    At this point, Neat Image may ask about the place on the disk where it should auto save the output images. It may also ask about particular saving properties, e.g., the JPEG quality level.

    Then, several new image filtration jobs will be created in the queue. These jobs will be immediately processed by Neat Image if auto start has been chosen.

To create one or more new image filtration jobs via drag-n-drop

You can drag several image files from the Windows Explorer and drop them in the queue window. Neat Image will automatically create new image filtration jobs for each dropped file using the job defaults specified in the Options.


Editing image filtration jobs

An image filtration job in the queue can be edited at any time if you need to change some of its filtration parameters. This applies to all jobs in the queue except the one which is currently being processed. You need to put it on hold (using [image], see details below) to be able to edit it.

To edit existing image filtration job

Select a job in the queue and click [image] (the Edit selected filtration job button) or select the Job|Edit… menu item.

The filtration job editor will open the selected job and you will be able to modify its details including input image, device noise profile and filter settings. All these changes are done according to the Filtration process details section.

When the job is ready to be processed, you can put it back into the queue using the controls in the Queued processing box.


Removing image filtration jobs

To remove existing image filtration job(s)

Select one or more filtration jobs in the queue that you want to remove.

Click [image] (the Delete selected filtration job button) or select the Job|Delete menu item.


Queuing and holding image filtration jobs

An image filtration job in the queue is processed when it is ready (i.e., input image and device noise profile are selected) unless you specifically put it on hold. A job put on hold will not be processed until you explicitly queue it.

To queue existing image filtration job(s)

Select one or more filtration jobs in the list that you want to process.

Click [image] (the Queue selected job button) or select the Job|Queue menu item.

The selected job(s) will receive status 'queued' and will be processed when their turn comes.

To put existing image filtration job(s) on hold

Select one or more filtration jobs in the queue that you want to put on hold.

Click [image] (the Put selected job on hold button) or select the Job|Hold menu item.

The selected job(s) will receive status 'on hold' and will not be processed.


Starting and stopping the filtration queue

You may need to completely stop (and then start again) the filtration queue. This can be done using the controls in the Filtration queue box.

To stop the filtration queue

Click [image] to stop processing jobs in the filtration queue.

To start the filtration queue

Click [image] to start processing jobs in the filtration queue.


Saving output images

When a job is done in the filtration queue, you most likely will want to save the result. This can be done within the filtration job editor (you can use the Edit button to open it) or directly from the filtration queue.

To save output image of a filtration job

Click [image] (the Save output image as button).

Note that you can save output images of more than one job using this button. Select several completed jobs and click this button to save several output images at once.


Application options

Use the View|Options… menu item to open the Options dialog box.
Neat Image has several options that you can change to adjust the behavior of the application. Refer to the descriptions below for more details:

  • General options

  • Job defaults

  • Profiling options

  • Filtration options

  • Folder options


General options

Show splash screen at startup

This option controls whether the splash screen (the yellow flower picture) is displayed at the application startup.

Auto create new job at startup

When this option is checked, the filtration job editor appears at startup (instead of the filtration queue window), which can be useful if you want to only process a single image without going to the queue window.

This option is checked by default to make initial work with the program easier.

We advise you to switch the option off if you need to work a lot with the filtration queue.

Show hints over interface controls

This option allows switching on/off the hints. The hints are displayed when the mouse pointer is placed over the application controls.

Double buffer image viewers

This option controls the image viewers buffering mechanism. Double-buffered image viewers provide smoother display rendering at expense of rendering speed. Disable this option on slow machines for better performance.

Allow overwriting existing image files

Select this option to allow Neat Image to overwrite existing image files when output images are auto saved by the application (in queued processing).


Job defaults

Default color space

This is the working color space selected by default when a new image filtration job is created (if there is no default profile selected; see Default device noise profile below). You can always change working color space later on, if necessary; this option just provides a default choice.

The working color space is a color space used by Neat Image to analyze and process images. Currently, there are three working color spaces available: RGB, YCrCb JPEG, and YCrCb Symmetric. For most images, we recommend the use of YCrCb JPEG for color images and YCrCb Symmetric for grayscale (halftone) images.

Note: The working color space does not affect or change any color profiles (ICC profiles) embedded in the image.

Default output bitdepth

This option controls default image bitdepth of the images processed by the filter. For example, if an input image is 8/24 bits and the output bitdepth is selected to be 16/48 bits, then the input image will be converted to 16/48 bits, processed with the filter, and the output image will be 16/48 bits. If match input is selected then the output bitdepth will match the input bitdepth.

Default device noise profile

The default noise profile file is automatically opened by Neat Image when a new image filtration job is created. Specify the name and location of the file containing this noise profile in the available space below using the file browser ([…] button).

You may want to use this option if you frequently use the same profile. Any valid noise profile can be made default.

Default filter preset

The filter settings are automatically loaded from the default filter preset when a new image filtration job is created. Specify the name and location of the file containing this preset in the available space below using the file browser ([…] button).

You may want to use this option if you frequently use the same preset. Any valid filter preset cab be made default.

Auto save output image

Check this box to have the auto save output image option selected by default in the filtration job editor and batch window.

Auto delete completed job

Check this box to have the auto delete completed job option selected by default in the filtration job editor and batch window.

Output file name suffix

Select the suffix added to the output image file name by default.


Profiling options

Combination of last fine-tuning analyses

This is a way of combining multiple fine-tuning analyses (related to the same brightness range) in the noise profile equalizer.

In order to measure the dependence between the noise and brightness of an image (that is usually done at the Step III of the filtration sequence to fine-tune a device noise profile, see Step III. Fine-tune the rough device noise profile) it is necessary to analyze many uniform areas in an image. Each individual analysis determines the dependence in some narrow range of brightness values. The noise profile equalizer reflects this dependence with a number of sliders that correspond to specific ranges of brightness individually for each RGB color channel.

Initially, all the sliders are at their default positions. Analyses change their positions according to characteristics of noise encountered.

It is possible that different analyses taken in the same brightness range will affect the same slider. In this case, the slider's behavior is determined by the Combination of last fine-tuning analyses option:

  • Take the maximum value (recommended)
    - Equalizer sets the slider's RGB values to the maximum of the last two analyses (aggressive filtration, maximum noise removal);

  • Take the minimum value
    - Equalizer sets the slider's RGB values to the minimum of the last two analyses (conservative filtration, minimum image changes);

  • Take the average value
    - Equalizer sets the slider's RGB values to the average of the last two analyses;

  • Take the last value
    - Equalizer sets the slider's RGB values to the current analysis.

Save analyzed image area in profile (*.dnp file)

Turn this option on to make Neat Image saving analyzed image area into the device noise profile (*.dnp file). This will increase the size of the *.dnp file but will also improve the compatibility with the future versions of the software (Neat Image will be able to re-build the profile using the saved image area).


Filtration options

Audible indication

Neat Image has a simple audible signal system.

The when filtration jobs are processed checkbox is used to enable/disable periodic sounds during filtration process. This may help you monitor the application while it is processing jobs.

Use when all filtration jobs are done checkbox is to enable/disable a single sound to indicate the end of filtration process.

Filtration job editor

Auto minimize is to auto-minimize the filtration job editor window during filtration. This has two purposes; one it can speed up the process and conserve memory, and two, it gets the editor out of your way while it works.

Auto restore is to auto-restore the filtration job editor window at the end of filtration.

Filtration queue window

Auto restore is to auto-restore the filtration queue window when all filtration jobs are done.

Filter process priority

Use this option to adjust the priority of the filtration process running in a multitasking environment:

  • Idle — lowest priority; filtration gives way to other applications when necessary.

  • Below — priority below normal; provides the smoothest performance for all applications. This may slow down Neat Image a bit, but will allow you to work normally with other applications, especially if you have a slow computer.

  • Normal — normal priority; filtration may slightly slow down other applications.

Auto recalculate preview

This option enables/disables automatic recalculation of preview in the filtration job editor. When enabled, automatic recalculation is invoked every time you select a new image area or change filter parameters.

...every N second(s)

This is the delay in seconds between a change of filter parameters and automatic preview recalculation.

Note: Auto-preview is invoked only when the Noise filter settings tab is used.


Folder options

Use independent open/save folders/directories

This option enables using two independent folders (directories) for opening and saving files. If this option is selected then Neat Image will remember two folders, otherwise, only one folder for both opening and saving files.

Use independent folders/directories for images/profiles/presets

This option enables using three independent folders (directories) for working with images, device noise profiles and filter presets. If this option is selected then Neat Image will remember three folders, otherwise, only one folder for images, profiles and presets.

Temporary folder/directory

Select the folder/directory that Neat Image will use to store its temporary files.

Profile folder/directory

Select the folder where Neat Image will look for device noise profiles. This should be the topmost folder of all the (sub-)folders with device noise profiles. In this way, Neat Image will be able to display all the profiles (stored in all the subfolders of the specified folder) in the popup menu in the Device noise profile panel of the Filtration job editor.
By default, the PROFILES subfolder of Neat Image installation folder is used.

Preset folder/directory

Select the folder where Neat Image will look for filter presets. This should be the topmost folder of all the (sub-)folders with filter presets. In this way, Neat Image will display all the presets (stored in all the subfolders of the specified folder) in the popup menu in the Noise filter settings panel of the Filtration job editor.
By default, the PRESETS subfolder of Neat Image installation folder is used.


 Images to build a device noise profile (examples)

See the image below for examples of good and bad image areas to select for building device noise profiles. Here, image areas suitable for building noise profiles are highlighted in green; those that should not be used are highlighted in red. Note that an image area suitable for building a device noise profile should be at least 60x60 pixel large (preferably more than 100x100 pixels).

Additional comments regarding selection of image areas are shown below.

These image areas can be used to build device noise profiles, as they contain no visible details in all frequency ranges:

– GOOD, because this area contains no important details
– GOOD, no important details (this area is from another image)

The following image areas should not be used to build device noise profiles, because they contain visible details:

– BAD, because this area contains a detail: corner – junction of wall and ceiling
– UNACCEPTABLE, because this area contains many details
– BAD, because this area contains some details: clouds (this area is from another image)

See more examples of building device noise profiles on the Neat Image web page.


Images to fine-tune a device noise profile

In this subsection, you can find examples of image areas to be used for fine-tuning analysis in the noise profile equalizer:

Large size areas

In image areas larger than 100x100 pixels, high, medium and low frequencies are taken into account.

The examples are essentially the same as in the case of building a device noise profile. See examples for building a device noise profile.

Medium size areas

In image areas larger than 60x60 pixels but less then 100x100 pixels, high and medium frequencies are taken into account:

– GOOD, because this area contains no important details
– BAD, because there are medium frequency details (a vertical stroke)
– UNACCEPTABLE, because there are many medium frequency details (horizontal strokes)

Small size areas

In image areas larger than 30x30 pixels but less then 60x60 pixels, only high frequencies are taken into account:

– GOOD, although this area contains low frequency details, they are left out of account because area is small
– BAD, because this area contains high frequency details (a vertical stroke)
– UNACCEPTABLE, because this area contains various details

See more examples of fine-tuning device noise profiles on the Neat Image webpage.


Filtration results

Here are some examples of Neat Image performance.

Input | Output
This is a small portion of a digital photo taken with a Nikon CoolPix 950 digital camera. The original image contains easily visible noise. In this case, the source of noise is the camera's image sensor (CCD) put in high ISO mode.

Input | Output
This image was taken with a Kodak DC 210 digital camera. Along with the strong CCD high ISO noise, there is an image degradation caused by the JPEG compression. Even though Neat Image tries to do its best to clean up such images, please avoid using strong JPEG compression!

See more filtration examples on the Neat Image web page.


General questions

Q What is the difference between Demo, Home, Pro and Pro+ editions of Neat Image?

A The Demo edition of Neat Image has some of the functionality disabled. In particular, it doesn't save images in TIFF and BMP formats and doesn't copy to the clipboard (the Demo edition only saves images in JPEG). Please see the Detailed feature map for complete information.

Q Should I uninstall Demo prior to installing Home/Pro/Pro+ edition?

A It is not necessary. However, you will not need Demo anymore because you are installing the Home/Pro/Pro+ edition, which has all the functionality of Demo plus added features. To uninstall Demo, use the Uninstall shortcut in the Windows Start menu: Start menu->Programs->Neat Image Demo->Uninstall. That will remove Demo. You may need to manually (re)move images and/or profiles that you put in Neat Image Demo subfolders.

Q Are you going to release a Mac os9 or osX version?

A A Mac version of Neat Image is in our development plans.

Q I think I have found a bug. How can I submit bug report?

A Please use the online bug report form on the Neat Image web page; please fill it out to let us know all the details necessary to reproduce the problem.

See more information about bugs in the Known bugs subsection and about bug fixes in the file WhatsNew.txt supplied with the software (also see the History section on the Neat Image web page for the most up to date information).

Q What about batch processing?

A Neat Image supports batch processing starting from the software version 2.0. Please refer to the Queued processing section.

Earlier versions of Neat Image (v1.x) can use Neat Batch - Batch Processing Assistant (http://www.tawbaware.com/neatbatch.htm), which adds a simple batch processing functionality to Neat Image. This free software is written by Max Lyons.


Filtration-related questions

Q Why do I receive some crystal-like artifacts in the filtered image?

A The crystal-like artifacts (that are in fact introduced by JPEG compression) look like thin lines in the filtered image. They can be eliminated by increasing the value of the high frequency setting of Noise Filter.

Note: presence of many residual artifacts is usually a consequence of using a poorly built device noise profile or a profile built for another device and/or device mode.

Q Filtered image looks 'plastic'. Why?

A The reason is that too much filtration was applied. Let Neat Image keep some noise to have natural-looking results. Adjust the noise reduction amounts; for example, reduce Y channel amount to 50-70%.

Q What is frequency?

A The term frequency is used in Neat Image to denote image elements (both important details and noise) of specific size.

High frequency corresponds to image elements of smallest size. Medium frequency corresponds to elements of medium size. Low frequency corresponds to image elements of (relatively) large size.

For reference, see the noise samples of different frequencies in the Noise filter settings tab of the filtration job editor.

Q The filtration process is slow, is this normal?

A This is normal, because the filtration algorithm is quite complex. We are working on further optimization to provide better performance.

Q Is the input image automatically changed according to the profile that is being opened?

A The input image is NEVER changed. Neat Image always creates a new output image, which contains the filtration results. The output image can then be saved to any file.

Q How to filter only the color noise (not the brightness noise)?

A When the YCrCb spaces are used, set the value of the Y channel noise reduction amount (in the Noise filter settings box) to 0%. This will switch off filtration in the brightness (luminance) channel Y.

Q What is YCrCb?

A YCrCb is the name of a family of color spaces widely used in digital imaging, television, image compression (e.g., the JPEG compression stores color images in this space), etc.

In 'YCrCb', 'Y' corresponds to the luminance channel, 'Cr' - to the Cr chrominance channel covering the red to blue-green range, 'Cb' - to the Cb chrominance channel covering the blue to yellow range. Because this space allows easy separation of the luminance and chrominance information, it suits the needs of noise filtration.

Q Is processing via Neat Image best done before or after any other processing (i.e. tonal/color correction)?

A Such operations as tonal/color correction are quite conservative from the standpoint of noise, i.e., they do not significantly change the noise characteristics of the image. Therefore, filtering before or after makes little difference - as long as the device noise profile is built and applied at the same stage of image processing. For example, don't use a device noise profile built with an unprocessed image to filter a processed image.

Some digital cameras apply some color correction internally. Other cameras allow access to unprocessed RAW data. Neat Image is a generic filter, which can be applied in both cases. The only requirement is to use matching profiles.

On the other hand, image sharpening applied to a noisy image makes it much more noisy. It is best to apply Neat Image filtration before sharpening (including internal camera sharpening). However, the sharpening and noise filters of Neat Image can be used together because the sharpening is applied AFTER noise filtration.


Preventing banding

In some cases, the banding effect may appear when applying the noise filter to images with faint brightness gradients. This effect is quite rare for normal images, especially when viewed on a true color display. It can be more visible on hi-color displays. This is a common problem of hi-color displays. If the display doesn't have enough colors then the image can have some bands of the same colors. Dithering is usually used to mask this problem on such displays. An original image usually contains some noise, which acts like dithering. When Neat Image removes this noise, the underlying problem of banding may come up again. A solution is to use a true color display or a better image viewer (in hi-color), which applies some dithering automatically.

To avoid banding try to reduce the noise reduction amount for the high frequency image component to 50%.


Filtration of shadow areas

In some situations, it is preferable to filter only the shadow areas of images leaving bright areas intact. You can do this with Neat Image by using the noise profile equalizer to limit or stop filtration of bright image areas.

The noise profile equalizer sliders correspond to particular ranges of brightness (individually for each color channel) of the RGB color space. The position of each slider changes (fine-tunes) parameters of the noise profile for the corresponding range of brightness. The lower a slider, the less filtration will eventually be applied to image elements that belong to the corresponding range of brightness.

Therefore, to filter only shadows you can manually move all the 'bright' sliders down (refer to the gradients on the bottom of noise profile equalizer). For example, move down all but the three darkest sliders in each RGB channel.

Using this method, you can effectively prevent filtration of the bright image areas.


Partial filtration

Some images contain both noisy and clean areas and it may be preferable to filter only noisy areas. This can be manually done by combining two images - original and filtered one - in an image editor. For example, the following steps can be followed:

  1. Filter an input image in Neat Image (so that noisy areas are cleaned) and save the output image to a new file;
  2. Open this new file in an image editor;
  3. Place the filtered image in a new layer on top of the original image;
  4. Adjust the transparency of the new layer so that noisy areas look fine;
  5. Select and delete the areas of the new layer where filtration is not necessary or excessive (you may want to use the eraser tool with adjustable transparency and shape).


Faster processing

You can get better filtration speed if one (or more) of the image components is not processed. To disable processing of a frequency component set the noise reduction amount and sharpening amount to 0% for this component. To disable processing of a color channel component set the noise reduction amount to 0% and disable sharpening of this channel.
The filtration speed is 15-25% higher per image component left out of the filtration process.


Known bugs

We are trying to keep bugs away from Neat Image as much as possible. Please report any bugs or problems (even those already described below) you encounter while working with Neat Image. For convenience, use the online bug report form on the Neat Image web page. Your feedback will greatly help us to improve the software and provide you with an even better imaging tool. Thank you very much in advance!

List of known bugs and problems

  • Nothing so far


Plans

The current version of Neat Image is the result of our ongoing research on noise filtration. We are continuing to work on the filtration algorithm to improve the quality and speed of noise reduction. In addition, we are planning to introduce new functionality in the future, such as:

  • Mac version
  • Hot pixel removal

Please let us know if you have ideas that can make the program better. Participate in the discussion on the Neat Image message board, express your opinion, make suggestions, and ask questions. Remember, the more people that ask for a feature the more likely it is that it will be implemented.


Detailed feature map

Features |  |  | Edition
 |  |  | Demo | Home | Pro/Pro+
Image processing | Processing speed |  | 100% | 100% | 100%
 | 8 bits/channel (24-bit RGB, 8-bit Grayscale) |  | + | + | +
 | 16 bits/channel (48-bit RGB, 16-bit Grayscale) |  | - | - | +
 | Floating point precision used in all internal filter operations |  | + | + | +
 | Alternative working color spaces (YCrCb standard (ITU 601), YCrCb symmetric, RGB) |  | + | + | +
Noise filtration | Channel-wise (R, G, B; Y, Cr, Cb) |  | + | + | +
 | Frequency-wise (High, Mid, Low, Very low) |  | + | + | +
Smart sharpening | Channel-wise (R, G, B; Y, Cr, Cb) |  | + | + | +
 | Frequency-wise (High, Mid, Low) |  | + | + | +
Filter presets (reusable sharpening and noise filter settings) |  |  | + | + | +
Image input/output (in/out) | TIFF (uncompressed, single image/no layers) | 24-bit RGB | +/- | +/+ | +/+
 |  | 48-bit RGB | -/- | +/- | +/+
 |  | 8-bit grayscale | +/- | +/+ | +/+
 |  | 16-bit grayscale | -/- | +/- | +/+
 | JPEG | 24-bit RGB | +/+ | +/+ | +/+
 |  | 8-bit grayscale | +/+ | +/+ | +/+
 | BMP (uncompressed) | 24/32-bit RGB | +/- | +/+ | +/+
 |  | 8-bit grayscale | +/- | +/- | +/-
 | Windows clipboard | 24/32-bit RGB | +/- | +/+ | +/+
 | Drag-and-drop (from Windows Explorer) |  | - | + | +
 | Preserving EXIF data in processed files |  | - | + | +
Device noise profiles | Building noise profiles for custom image acquisition devices |  | + | + | +
 | Reusing (saving/reopening) noise profiles |  | + | + | +
Workflow | Queued processing / batch |  | limited* | limited** | full
 | Command line support |  | - | + | +

* Queue depth is limited to 2 jobs.
** Queue depth is limited to 10 jobs.


Contacts

We really appreciate your opinion of Neat Image. Please let us know what you think about the program. Feel free to ask questions regarding Neat Image. To share your opinion or to receive support regarding Neat Image, use any of the following means:

E-mails

info@neatimage.com — for general inquiries

support@neatimage.com — for any inquiries regarding use of Neat Image

sales@neatimage.com — for any inquiries regarding purchase of Neat Image software

Message board

Register in Neat Image community forum, and participate in discussions on the use and development of Neat Image. Such topics are covered in the forum as:

  • announcements of new and updated version of the software;
  • questions about use of Neat Image;
  • examples of using Neat Image with comments and suggestions;
  • feedback from the users: suggestions of new features and improvements;
  • polls: what OS, CPU, camera types are used with NI;
  • contacts and general comments.

Web page

Main location


Legal information

Copyright

Neat Image Copyright © 1999-2003 by ABSoft. All rights reserved.

License agreement

Your use of this software indicates that you accept this license agreement:

You may

Use Demo edition of Neat Image free of charge for non-commercial purposes.
Copy and distribute Demo edition of Neat Image.
Purchase a license for Neat Image Home, Pro, or Pro+ edition and become a registered user of the software.
Run one (or more, up to the number specified in your license) instance(s) of Neat Image Home, Pro, or Pro+ at a time for commercial and other purposes (for registered users only).

You may not

Sublicense, rent, lease or sell any version/edition of Neat Image or any portion of it.
Decompile, disassemble, reverse engineer or modify any version/edition of Neat Image or any portion of it.
Copy and distribute Home, Pro, or Pro+ edition of Neat Image.
Use Home, Pro, or Pro+ edition of Neat Image if you are not registered user.

Term and termination

You may terminate this license agreement at any time by returning or destroying all copies of Neat Image in your possession and notifying ABSoft. This license agreement will terminate immediately if you infringe upon ABSoft's copyrights or breach this agreement.

Disclaimer of warranty

The authors make no warranty or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided "as is", and you, its user, assume the entire risk as to its quality and accuracy.

Distribution

Demo edition of Neat Image may be distributed unmodified provided any charge is to cover distribution costs only.
Demo edition of Neat Image may be placed on magazine CDs, etc. as long as ABSoft is informed.


Registration

To become a registered user and to get a fully functional edition of Neat Image (Home, Pro or Pro+ edition) you have to purchase a Neat Image license (a single- or multi-user license). That can be done through an online software shop on the Internet. Please find the detailed information in the Purchase section of Neat Image web page.

After you have purchased a Neat Image license, you will receive an e-mail from the Neat Image team with detailed download and registration instructions. These instructions will help you download Neat Image Home, Pro or Pro+ and become a registered user of the software.

By becoming a registered user of Neat Image Home, Pro or Pro+ edition you will:

  1. Encourage the authors to further develop the software and create new versions of Neat Image;
  2. Get access to the functions of Neat Image that are disabled in the Demo edition (see the Detailed feature map);
  3. Be able to use Neat Image for commercial and other purposes;
  4. Get free access to updates of the software;
  5. Enjoy the reduced upgrade prices for major future modifications of Neat Image;
  6. Receive the most attention of Neat Image support group;
  7. Receive the most attention of Neat Image development group (tell us what you want in the new version).

Message from Neat Image team

By becoming a registered user you are helping us to continually improve the software. It is only possible with your support!

Become a registered user and we will make Neat Image better for you!


Acknowledgments

Neat Image utilizes the Intel JPEG Library.

Neat Image is based in part on openTIFF library.

Thank you to all the users who have contributed to Neat Image by proposing improvements and new features.

Thanks to all the people who help us to find bugs in Neat Image.

Thank you to all the users who stimulate the development of Neat Image by their word and deed.

Image wouldn't be Neat without all of you!

Neat Image team, ABSoft